package com.ruoyi.system.domain;

import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 参数配置表 sys_config
 *
 * @author ruoyi
 */
public class HyDictionary extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private String FullName;
    private String DataDictionaryDetailId;
    private String parentId;
    private List<HyDictionary> children;

    public void setFullName(String FullName) {
        this.FullName = FullName;
    }

    public String getFullName() {
        return FullName;
    }

    public void setDataDictionaryDetailId(String DataDictionaryDetailId) {
        this.DataDictionaryDetailId = DataDictionaryDetailId;
    }

    public String getDataDictionaryDetailId() {
        return DataDictionaryDetailId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public List<HyDictionary> getChildren() {
        return children;
    }

    public void setChildren(List<HyDictionary> children) {
        this.children = children;
    }
}
